-- Upgrade script for Plesk Backup Manager database tables
DELETE from `psa`.`BackupsScheduled`;
ALTER TABLE `psa`.`BackupsScheduled` DROP COLUMN `objects`;
ALTER TABLE `psa`.`BackupsScheduled` CHANGE COLUMN `obj_type` `obj_type` ENUM('server', 'reseller', 'client', 'domain') NOT NULL;
ALTER TABLE `psa`.`BackupsScheduled` CHANGE COLUMN `files` `rotation` INT NOT NULL default 0;
ALTER TABLE `psa`.`BackupsScheduled` ADD COLUMN `suspend` ENUM('true', 'false') NOT NULL default 'false';
ALTER TABLE `psa`.`BackupsScheduled` ADD COLUMN `with_content`  ENUM('true', 'false') NOT NULL default 'true';

--- part2 
ALTER TABLE `psa`.`BackupsScheduled` ADD COLUMN `backup_day` INT UNSIGNED NOT NULL default '0';
ALTER TABLE `psa`.`BackupsScheduled` ADD COLUMN `backup_time` TIME NOT NULL default '00:00:00';
ALTER TABLE `psa`.`BackupsScheduled` CHANGE COLUMN `last` `last` DATETIME DEFAULT NULL;

DROP TABLE `psa`.`BackupsObjects`;

-- suspend_handler history table
CREATE TABLE IF NOT EXISTS suspend_handler_history (
    dom_id     INT UNSIGNED NOT NULL
               -- domain ID
,   session_id VARCHAR(255) CHARACTER SET binary
               -- dump name
) TYPE=InnoDB;
